#SREG
-Bits[2..36]
-Taktflanke[1,0]
-Reset[1,0]
-Load[1,0]
-Direction{left}[1,0]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity |Name| is
   port(CLK,RST,LD,DIR,SE : in  std_logic;
        d : in  std_logic_vector(|Bits-| downto 0); 
        q : out std_logic_vector(|Bits-| downto 0));
end |Name|;


architecture Behavioral of |Name| is
signal Qd : std_logic_vector(|Bits-| downto 0);
begin
  pSR: process (CLK,RST,LD,d,Qd)
       begin
         if rst = '|Reset|' THEN qd <= |$0,Bits|; 
           elsif CLK'event and clk = '|Taktflanke|' then
                if LD = '|Load|' then  Qd <= d;   
                  elsif DIR = '|Direction{left}|' THEN Qd <= Qd(|Bits-| -1 downto 0) & SE; --links
                                  ELSE Qd <= SE & Qd(|Bits-| downto 1); --rechts
                end if;
         end if;
         end process pSR;

  pOut:  process (Qd)
         begin  
           q <= Qd;
         end process pOut;
end Behavioral;   
>
 