unit u_datei;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDateinameForm = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
    name : string;
  public
    { Public-Deklarationen }
    procedure Init(Dateiname : string);
    function GetDateiname : string;
  end;

var
  DateinameForm: TDateinameForm;

implementation

{$R *.DFM}

procedure TDateinameForm.Init(Dateiname : string);
begin
  name:= lowercase(Dateiname);
  Edit1.Text:= name;
end;

function TDateinameForm.GetDateiname : string;
begin
  result:= name;
end;

procedure TDateinameForm.Button1Click(Sender: TObject);
begin
  name:= lowercase(Edit1.Text);
  close;
end;

procedure TDateinameForm.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then Button1Click(self);
end;

end.
